aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries
diff options
context:
space:
mode:
authorJan Gelety <jgelety@cisco.com>2020-01-20 00:13:23 +0100
committerJan Gelety <jgelety@cisco.com>2020-01-20 02:31:21 +0100
commit5643fb70fb8bd567e165074a0ccf8600e8d5b251 (patch)
tree1901359ed4d0667abe687554a9825b21a4a36ee6 /resources/libraries
parent07f414a2ec7be30b457b0b1aea26ee89e17125c8 (diff)
Use vpp 20.01-release pacakges
Signed-off-by: Jan Gelety <jgelety@cisco.com> Change-Id: Ibd1b78fd5bb9424564f27497a19176527c604be4
Diffstat (limited to 'resources/libraries')
-rw-r--r--resources/libraries/bash/function/artifacts.sh13
1 files changed, 8 insertions, 5 deletions
diff --git a/resources/libraries/bash/function/artifacts.sh b/resources/libraries/bash/function/artifacts.sh
index 35fade98af..f51d5357b7 100644
--- a/resources/libraries/bash/function/artifacts.sh
+++ b/resources/libraries/bash/function/artifacts.sh
@@ -104,11 +104,14 @@ function download_ubuntu_artifacts () {
set +x
for package in ${packages}; do
# Filter packages with given version
- pkg_info=$(apt-cache show ${package}) || {
- die "apt-cache show on ${package} failed."
- }
- ver=$(echo ${pkg_info} | grep -o "Version: ${VPP_VERSION-}[^ ]*" | \
- head -1) || true
+ # Workaround for corrupted fdio_release.list
+ if [[ "${package}" != "-dev" ]]; then
+ pkg_info=$(apt-cache show ${package}) || {
+ die "apt-cache show on ${package} failed."
+ }
+ ver=$(echo ${pkg_info} | grep -o "Version: ${VPP_VERSION-}[^ ]*" | \
+ head -1) || true
+ fi
if [ -n "${ver-}" ]; then
echo "Found '${VPP_VERSION-}' among '${package}' versions."
ver=$(echo "$ver" | cut -d " " -f 2)